This document is for Kombu's development version, which can be significantly different from previous releases. Get the stable docs here: 5.3.

# Built-in Transports - `kombu.transport`

Built-in transports.

## Data

kombu.transport.DEFAULT_TRANSPORT

  Default transport used when no transport specified.

kombu.transport.TRANSPORT_ALIASES

  Mapping of transport aliases/class names.

## Functions

kombu.transport.get_transport_cls(transport: str | None = None) → str | None

  Get transport class by name.

  The transport string is the full path to a transport class, e.g.:

      "kombu.transport.pyamqp:Transport"

  If the name does not include “.” (is not fully qualified), the alias table will be consulted.

kombu.transport.resolve_transport(transport: str | None = None) → str | None

  Get transport by name.

  ### Arguments:

  > transport (Union[str, type]): This can be either

  >   an actual transport class, or the fully qualified path to a transport class, or the alias of a transport.